Android 5.1 Important Information (for SDK versions before 3.3.0)

Android 5.1 Important Information (for SDK versions before 3.3.0)

Important Update:  In response to the permissions model change in Android M we’ve made some changes in how the Applause SDK UI is displayed in version 3.3.0 and this permission is no longer required – that’s good right?!

The release of Android 5.1 brought with it some important changes. In terms of the Applause Android SDK it means we had to update the SDK and developers will have to upgrade to the latest version of Android SDK  or else their app will crash on startup on Android 5.1 devices.

On pre Android 5.1 we were able to show  any dialog ui at any time for any app. Starting from 5.1 the bug the application needs to have following permission in AndroidManifest
http://developer.android.com/reference/android/Manifest.permission.html#SYSTEM_ALERT_WINDOW

This is also included in step 3 of the  Android SDK Integration Guide